Driver extension jun 1.03b/1.04b for DSM6.2.2 for 3615xs / 3617xs / 918+


Recommended Posts

В 27.01.2020 в 22:38, IG-88 сказал:

 

if you still have the usb in the state as it was after the 6.2.2 update (dont mind the different 0.6 extra.lzma) the you could just copy a new "recovery" extra.lzma version to the usb and all problems solved - i will send you a link to that new beta version, i had one tester with a N3150 and he solved the problems with it

IG-88 I Have the same problem, but 3350, can u send me new beta? PLS :)

Link to post
Share on other sites
17 hours ago, skywave said:

Can extra 0.8 beta (918+) work on J3160 with RTL8111F? I can't update DSM6.2.2 now.

i'd say yes if used with the "recovery" variety that disables i915 stuff, if its possible to have any transcoding support would need to be tested with the other versions

 

1 hour ago, LDev said:
On 1/27/2020 at 8:38 PM, IG-88 said:

i will send you a link to that new beta version, i had one tester with a N3150 and he solved the problems with it

IG-88 I Have the same problem, but 3350, can u send me new beta

 

i was planning for this evening to release so you will have a link shortly

  • Thanks 1
Link to post
Share on other sites

I have a haswell system with 1.04b and DSM 6.2.2. I have a mellanox connectx-3 (cx312a) card that is not detected.

 

The instructions are still not clear - what exactly do I need to do to get the drivers (0.8) on the usb drive that I have? I'm already on the latest DSM so I don't think I can modify a newer pat file and then upgrade my system.

 

I have downloaded the extra918plus_v0.8 zip file and there are two lzma files. Do I extract both to the second partition on my USB and that's it?

Link to post
Share on other sites
4 часа назад, IG-88 сказал:

new drivers up - lets see who bricks his unit first because of not reading properly (yes i know its a lot of text)

THX. Syno & STD don't work, but recovery + rd + zimage start died 6.2.2! :)

Link to post
Share on other sites
3 hours ago, bmacklin said:

I have a haswell system with 1.04b and DSM 6.2.2. I have a mellanox connectx-3 (cx312a) card that is not detected.

 

The instructions are still not clear - what exactly do I need to do to get the drivers (0.8) on the usb drive that I have? I'm already on the latest DSM so I don't think I can modify a newer pat file and then upgrade my system.

 

I have downloaded the extra918plus_v0.8 zip file and there are two lzma files. Do I extract both to the second partition on my USB and that's it?

 

I'm an idiot. Plugged my usb drive in and the fat32 partition was mounted by windows. Renamed the original extra and extra2.lmza files and copied the files from the 0.8 syno package and it booted and the mellanox network card showed up!

  • Haha 1
Link to post
Share on other sites
14 hours ago, vinhnguyen said:

Is Broadcom BCM5719 integrated?

 

i inserted a part about it

 

"This is the new 2nd test version of the driver extension for loader 1.04b and 918+ DSM 6.2.2, network drivers for intel and realtek are now all latest and the same as in 3615/17 from mid. december (also broadcoam tg3 driver is working),..."

 

but there was already a entry in the driver list " drivers included (Reveal hidden contents)" for tg3

 

 

12 hours ago, LDev said:

THX. Syno & STD don't work, but recovery + rd + zimage start died 6.2.2!

 

when not using hardware transcoding or M.2 ou could migrate to 3615/17, 918+ has a newer kernel and one or the other driver might me slightly newer in kernel 4.4..x  but in terms of usage there might be no difference

 

 

11 hours ago, bmacklin said:

my usb drive in and the fat32 partition was mounted by windows

 

i changed the text slightly for better instructions

Link to post
Share on other sites

Upon reboot, the network card with its two ports are detected but plugging the cable in the port doesn't show up as active. This worked before I rebooted though and I was using a DAC cable between two computers.

 

I added the extra mac addresses to the grub.cfg file as mac3 and mac4 but no change.

 

What do I have to do to fix this for the 918+ again? I read about the two port limitation but I thought adding the extra mac addresses would just work?

Link to post
Share on other sites

Hello,

 

I want to install on my Fujitsu D3417-B2 with Intel i219-LM Nic with DS918+ bootloader. Before I've flashed an original DS918-mac-address on the Nic. I want to install brand new (no DSM installed on the formatted drive). With the untouched bootloader from jun (1.04b) my router can find the "new DS918".

When I only replace the extra2.lzma (like in the first post) from version 0.8 on the synoboot.img and boot from the new created stick, the router can't find the "new Syno". Even when I replace the extra.lzma within the synoboot.img too (I mean both lzma's were replaced), the "new Syno" is not visible by the router.

As soon as I switch back to the untouched synoboot.img, flash the thumb drive, the router will find it immediately.

 

Now my question, why is the Syno not visible by my router with the extra2.lzma or with both? The i219 must be supported by the Intel e1000e driver, mustn't it?

 

Thanks in advance

Link to post
Share on other sites
1 hour ago, bmacklin said:

Upon reboot, the network card with its two ports are detected but plugging the cable in the port doesn't show up as active. This worked before I rebooted though and I was using a DAC cable between two computers.

 

I added the extra mac addresses to the grub.cfg file as mac3 and mac4 but no change.

 

What do I have to do to fix this for the 918+ again? I read about the two port limitation but I thought adding the extra mac addresses would just work?

I don't want to hijack this thread too much but the problem was enabling the virtual machine manage which enabled vSwitch. It "masked" the physical eth ports.

Link to post
Share on other sites
6 hours ago, bmacklin said:

grub.cfg file as mac3 and mac4 but no change.

 

What do I have to do to fix this for the 918+ again?

1st post,

"...

!!! still network limit in 1.04b loader for 918+ !!!

..."

there is even a link to the old thing about how to edit synoinfo.conf for more nic's

 

 

4 hours ago, Huberer said:

When I only replace the extra2.lzma

can't be the 1st post in this thread ;-)

it states clearly to copy (overwritte) extra/extra2 not just one of them

AND !!! you need to place the zImage and rd.gz from the 24922 *.pat file at the same location

the driver is working, i do have a e1000e and igb card for testing and as the driver where the latest from 12/2019 it sure should work with any card/chip even the newest

 

Link to post
Share on other sites
1 hour ago, IG-88 said:

can't be the 1st post in this thread ;-)

it states clearly to copy (overwritte) extra/extra2 not just one of them

AND !!! you need to place the zImage and rd.gz from the 24922 *.pat file at the same location

the driver is working, i do have a e1000e and igb card for testing and as the driver where the latest from 12/2019 it sure should work with any card/chip even the newest

 

I read the first post again. I don't know what exactly I read. With the second testing I changed both but didn't work. Just to be clear, when I modify the synoboot.img, I have to replace 4 files? (extra/2.lzma + rd.gz + zImage)

In the meantime I've installed the system brand new (with the untouched bootloader) and after that I made a test and replaced all 4 files on the boot stick. Even I deleted the files on the system drive, mentioned in the first post and startet my new DS918 again. And now all the new drivers were copied from the thumb drive to the system drive. Now I've the latest drivers installed.

Thanks anyway.

Link to post
Share on other sites
7 hours ago, Huberer said:

startet my new DS918 again.

 

if the usb is working for update 6.2.0 to 6.2.2  then it should also be possible to install with it directly (using the 6.2.2 *.pat file)

 

Link to post
Share on other sites

My report on update. I have 3 Xpenology running (with different versions of DSM/loader), so I waited for ds918+ extras to update them all at once.

 

1. Hardware: i5-7600, Intel X540-T2, LSI 9305-16i (LSISAS3224), 16*HDD.

Previous version: ds3617xs, DSM 6.1.7, loader 1.02b.

Goal: updated DSM and driver modules versions.

Updated version: ds3617xs, DSM 6.2.2-24922, loader 1.03b+extra3617_v.0.5.

Update method: migration with new loader files on usb drive.

Result: absolutely flawless update. Finally I had to manually edit synoinfo.conf-s to make all my 16 HDDs visible.

 

2. Hardware: i3-8100,  Intel X550-T1. LSI 9207-8i (LSISAS2308), 8*HDD.

Previous version: ds918+, DSM 6.2.2, loader 1.04b.

Goal: updated driver modules versions.

Updated version: ds918+, DSM untouched, loader 1.04b+extra918_v.0.8_std.

Update method: deleted old /usr/lib/modules/update/ and /usr/lib/firmware/i915/ and rebooted with new loader files on usb drive.

Result: no problems detected. Still not tested, if something changed.

Comment: I had previously a problem with HDD hibernation on this configuration . After hibernation HDDs did not start and required hard reboot (as DSM web interface or ssh also did not work).

 

3. Hardware: i5-7400, Asus XG-C100C (atlantic), LSI 9207-8i (LSISAS2308), 8*HDD.

Previous version: ds3617xs, DSM 6.1.7, loader 1.02b.

Goal: updated DSM and driver modules versions plus change to ds918 for NVMe cache support.

Updated version: ds918+, DSM 6.2.2-24922, loader 1.04b+extra918_v.0.8_std.

Update method: migration (both DSM version and hardware type) with new loader files on usb drive.

Result: absolutely flawless update.

Comment: I also wanted to check the hibernation feature as for (2) above. And here I checked it... After hibernations HDDs did not return to life without hard reset by button.

 

So... First of all - many thanks to IG-88. Really amazing work!

 

Second - sorry for offtopic, but may be someone can quickly help, if this issue was already discussed somewhere. In my two configurations HDD hibernation does not work. To be more exact - it works by going to hibernation, but does not wake up after it up to hardware reset. In both configurations I have dsm 6.2.2 for ds918+. Previously on DSM 6.1.7 for ds3617xs it worked fine on the same hardware. Currently on DSM 6.2.2 for ds3617xs it also works without problems. This problem is not directly related to extra.lzma from this topic, as I had the same problem on pure jun-s 1.04b loader.

 

And if you are interested in - what for I need HDD hibernation and ds918 together... I want to try NVMe cache together with hibernated drives. May be it is impossible for hundred reasons... But I even can't try as hibernation does not work on the only hardware version that supports NVMe...

Link to post
Share on other sites
23 hours ago, Joly00 said:

Does the 0.8 work with j5005? With network and transcoding?

1st post in this thread, there is a section  with additional information about gpu, so you can see J5005 gemini lake

 "...

the often seen Gemini Lake GPU's might work with "std", pretty sure not with "syno", most (all?) testers with gemini lake where unsuccessful with "std" so if you don't like experimenting and need hardware transcoding you should wait with the version you have

..."

 

so i'd unlikely to maybe, if you want to test use a new usb and a empty disk fot a test install, don't try to install your running 6.2, its very likely to fail

 

Link to post
Share on other sites
On 1/10/2020 at 5:57 PM, IG-88 said:

 

two problems in one sentence

- raid is bad, you want every drive to be seen as a single driver, just a plain controller

-6 sata in a xpenology compatible way seems unlikely (reason below) imho  its 4 or 8, all controller i've seen with 5 or 6 ports where not suitable for yxpenology

 

 

yes there are restrictions - no multiplexing

you cant have a controller that splits one sata port into more ports, synology blocks this (and it would also a problem when it comes to performance)

so

 

i found two good 8 port candidates

https://xpenology.com/forum/topic/19854-sata-controllers-not-recognized/?do=findComment&comment=122709

there are tons of 4 port controllers, if its marvel 9215, its defiantly good as the chip is a 4 port sata chip

always find out what chips are on the controller, if its more then one chip on a 4 port controller its likely not good

check the specs of the chips, how many pcie lanes are used (by the chip) and how ma ports are there

i explained it in the link above, thats also valid when looking for a 4 or maybe a 6 port controller, in theory a it would be possible to build a 6 port controller the same way as the QNINE 8 Port SATA Card from the link above, like 1 x ASM 1806 (pcie bridge) + 3 x ASM1061 (2port sata), but not sure it that exists

 

lets take this as exaple

https://www.amazon.com/Controller-Expression-Profile-Bracket-Converter/dp/B07S8CB398

they give good information, not just the chips also what it does

"Chip: ASM 1062(PCIE to SATA Controller)+ASM 1093(Port Multiplier)"

so with port multiplier its a no go for us

also the pcie type is a hint, pcie 1x for a 8 port controller - the bandwidth of pcie 1x is to low for this (and it for sure be a controller with port multiplier)

 

 

Hi IG-88,

 

Sorry to bother you - just have a quick question: do you expect this SATA controller to be compatible with 6.2.2? https://www.amazon.ca/dp/B081DM6Y9L/ref=pe_3034960_236394800_TE_dp_1 

 

I can't tell if it has a port multiplier or not (even though each SATA port is placed separately on the board).

 

Thanks in advance for your help, as always.

Link to post
Share on other sites
12 hours ago, IG-88 said:

the often seen Gemini Lake GPU's might work with "std", pretty sure not with "syno", most (all?) testers with gemini lake where unsuccessful with "std" so if you don't like experimenting and need hardware transcoding you should wait with the version you have

So is there still hope that hw transcoding  might work in a later version, are you working on that? I have a J4105 and I'm willing to help with testing wherever I can to get hw transcoding working on the latest version with gemini lake

Link to post
Share on other sites
16 hours ago, Decebalus said:

Sorry to bother you - just have a quick question: do you expect this SATA controller to be compatible with 6.2.2? https://www.amazon.ca/dp/B081DM6Y9L/ref=pe_3034960_236394800_TE_dp_1 

 

I can't tell if it has a port multiplier or not (even though each SATA port is placed separately on the board).

why not?

it seems to be one chip and its named "Marvell 88SE9215" in the product name

-> https://www.marvell.com/documents/fygjojpnztocvwktbmpr/

one pcie 2.0 lane to 4 sata port controller

so its ok

 

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.